package com.haochuan.hciptvbasic;

import android.content.Intent;
import android.os.Bundle;

import com.haochuan.core.Logger;
import com.haochuan.core.http.DownloadServer;
import com.haochuan.core.http.RequestServer;


public class MainActivity extends BaseWebActivity  {
    private String mBasicUrl = "http://221.130.29.211:8095/ivod/index.html";    //入口地址

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
    }

    @Override
    protected void onStart() {
        super.onStart();
    }

    @Override
    protected void onStop() {
        super.onStop();
    }

    /**-------------------BaseWebActivity重载函数 start--------------------------*/

    /*
    * 获取WebView入口地址
    * */
    @Override
    protected String getIndexURL() {
        Logger.d("getIndexURL(),mBasicUrl:"+mBasicUrl);
        return mBasicUrl;
    }

    //因为重写了onBackPress方法,所以在onDestroy中复写方法不会回调,相应操作都放在该方法中进行
    @Override
    public void AppExit() {
        //关掉网络请求队列
        RequestServer.getInstance().stop();
        DownloadServer.getInstance().stop();
        super.AppExit();
    }

}
